Skip to content
GET/api/{version}/objects/documents/{doc_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.1/objects/documents/565
{ "attachments": [ { "id": 566, "url": "https://myvault.veevavault.com/api/v19.1/objects/documents/565/attachments/566" }, { "id": 567, "url": "https://myvault.veevavault.com/api/v19.1/objects/documents/565/attachments/567" } ] }

Shown above, document id 565 has two different attachments: id 566 and id 567. Note that this endpoint does not retrieve the number of versions of each attachment nor the attachment metadata. The "attachments" attribute is displayed in the response for documents in which attachments have been enabled on the document type (even if the document has no attachments).